Bug 130174 - New port: net/igmpproxy multicast proxy
Summary: New port: net/igmpproxy multicast proxy
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-01-05 01:10 UTC by Alexander V. Chernikov
Modified: 2009-03-18 15:20 UTC (History)
0 users

See Also:


Attachments
file.shar (40.42 KB, text/plain)
2009-01-05 01:10 UTC, Alexander V. Chernikov
no flags Details
newport.txt (40.47 KB, text/plain)
2009-01-06 20:43 UTC, gm
no flags Details
newport.txt (40.47 KB, text/plain)
2009-03-13 09:59 UTC, melifaro
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander V. Chernikov 2009-01-05 01:10:00 UTC
Port of http://igmpproxy.sourceforge.net/. Most of patches stolen from openbsd port. Tested on 7.1 amd64 and 7.0-RELEASE-p1 i386

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2009-01-05 01:10:11 UTC
Class Changed
From-To: sw-bug->change-request

Fix category (new ports should be change-requests) (via the GNATS Auto 
Assign Tool)
Comment 2 gm 2009-01-06 20:43:43 UTC
Fixed build in 6.X and portlint -t warning
Comment 3 Philip M. Gollucci freebsd_committer 2009-01-27 04:22:33 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

I'll take it.
Comment 4 Philip M. Gollucci freebsd_committer 2009-01-27 05:54:00 UTC
State Changed
From-To: open->feedback

the second shar is invalid, please try again
Comment 5 Philip M. Gollucci freebsd_committer 2009-02-06 04:11:01 UTC
Responsible Changed
From-To: pgollucci->freebsd-ports-bugs

back to pool
Comment 6 Bruce M Simpson freebsd_committer 2009-03-18 15:19:01 UTC
State Changed
From-To: feedback->closed

committed, thanks!
Comment 7 dfilter service freebsd_committer 2009-03-18 15:19:07 UTC
bms         2009-03-18 15:18:53 UTC

  FreeBSD ports repository (src committer)

  Modified files:
    net                  Makefile 
  Added files:
    net/igmpproxy        Makefile distinfo pkg-descr 
    net/igmpproxy/files  igmpproxy.in patch-freebsd 
  Log:
  Add new port igmpproxy.
  This is an IGMPv2 aware multicast forwarding proxy.
  It cannot be run simultaneously with other multicast
  routing daemons.
  
  PR:             ports/130174
  Submitted by:   Alexander Chernikov
  
  Revision  Changes    Path
  1.2088    +1 -0      ports/net/Makefile
  1.1       +41 -0     ports/net/igmpproxy/Makefile (new)
  1.1       +3 -0      ports/net/igmpproxy/distinfo (new)
  1.1       +23 -0     ports/net/igmpproxy/files/igmpproxy.in (new)
  1.1       +1082 -0   ports/net/igmpproxy/files/patch-freebsd (new)
  1.1       +5 -0      ports/net/igmpproxy/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"